%global         momorel 1

Name:           perl-Apache-LogFormat-Compiler
Version:        0.32
Release:        %{momorel}m%{?dist}
Summary:        Compile a log format string to perl-code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-LogFormat-Compiler/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/Apache-LogFormat-Compiler-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008005
BuildRequires:  perl-HTTP-Message
BuildRequires:  perl-Module-Build
BuildRequires:  perl-POSIX
BuildRequires:  perl-POSIX-strftime-Compiler >= 0.30
BuildRequires:  perl-Test-Simple >= 0.98
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Time-Local
BuildRequires:  perl-Try-Tiny >= 0.12
BuildRequires:  perl-URI >= 1.60
Requires:       perl-POSIX
Requires:       perl-POSIX-strftime-Compiler >= 0.30
Requires:       perl-Time-Local
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Compile a log format string to perl-code. For faster generating
access_log line.

%prep
%setup -q -n Apache-LogFormat-Compiler-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE LICENSE META.json META.json README.md
%{perl_vendorlib}/Apache/LogFormat/Compiler.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- rebuild against perl-5.20.0
- update to 0.32

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.30-1m)
- update to 0.30
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13-2m)
- rebuild against perl-5.18.1

* Sat May 25 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13-1m)
- update to 0.13

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12-2m)
- rebuild against perl-5.18.0

* Tue Apr 09 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
